Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.util
Class OtherInfoGenerator.PartyU

    java.lang.Object
      org.bouncycastle.crypto.util.OtherInfoGenerator
          org.bouncycastle.crypto.util.OtherInfoGenerator.PartyU

Enclosing class:
  OtherInfoGenerator

public static class OtherInfoGenerator.PartyU
extends OtherInfoGenerator

Party U (initiator) generation.

Nested Class Summary

Nested classes inherited from class org.bouncycastle.crypto.util.OtherInfoGenerator
`OtherInfoGenerator.PartyU, OtherInfoGenerator.PartyV`

Field Summary

Fields inherited from class org.bouncycastle.crypto.util.OtherInfoGenerator
`otherInfoBuilder, random, used`

Constructor Summary
`OtherInfoGenerator.PartyU(KEMParameters kemParams, AlgorithmIdentifier algorithmID, byte[] partyUInfo, byte[] partyVInfo, java.security.SecureRandom random)` Create a basic builder with just the compulsory fields for the initiator.

Method Summary
`DEROtherInfo` | `generate(byte[] suppPrivInfoPartB)`
`byte[]` | `getSuppPrivInfoPartA()`
`OtherInfoGenerator` | `withSuppPubInfo(byte[] suppPubInfo)` Add optional supplementary public info (DER tagged, implicit, 0).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtherInfoGenerator.PartyU

    public OtherInfoGenerator.PartyU(KEMParameters kemParams,
                                     AlgorithmIdentifier algorithmID,
                                     byte[] partyUInfo,
                                     byte[] partyVInfo,
                                     java.security.SecureRandom random)

  Create a basic builder with just the compulsory fields for the initiator.

Parameters:
  `kemParams` - the key type parameters for populating the private info field.
  `algorithmID` - the algorithm associated with this invocation of the KDF.
  `partyUInfo` - sender party info.
  `partyVInfo` - receiver party info.
  `random` - a source of randomness.

Method Detail

### withSuppPubInfo

    public OtherInfoGenerator withSuppPubInfo(byte[] suppPubInfo)

  Add optional supplementary public info (DER tagged, implicit, 0).

  Parameters:
    `suppPubInfo` - supplementary public info.
  Returns:
    the current builder instance.

### getSuppPrivInfoPartA

    public byte[] getSuppPrivInfoPartA()

### generate

    public DEROtherInfo generate(byte[] suppPrivInfoPartB)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD